javax.net.ssl

## Class SSLPeerUnverifiedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - javax.net.ssl.SSLException
        - - javax.net.ssl.SSLPeerUnverifiedException

- All Implemented Interfaces:
    Serializable

      public class SSLPeerUnverifiedException
      extends SSLException

  Indicates that the peer's identity has not been verified.

  When the peer was not able to identify itself (for example; no certificate, the particular cipher suite being used does not support authentication, or no peer authentication was established during SSL handshaking) this exception is thrown.

  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLPeerUnverifiedException(String reason)` Constructs an exception reporting that the SSL peer's identity has not been verifiied.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLPeerUnverifiedException

          public SSLPeerUnverifiedException(String reason)

      Constructs an exception reporting that the SSL peer's identity has not been verifiied.
      Parameters:
        `reason` - describes the problem.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.